package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DEDataChgMapper;
import com.sa.ibiz.demo.demo.domain.DEDataChg;
import com.sa.ibiz.demo.demo.service.DEDataChgService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DEDataChgSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[DEDataChg] 服务对象接口实现
 */
@Service
public class DEDataChgServiceImpl extends ServiceImplBase<DEDataChgMapper, DEDataChg> implements DEDataChgService{

    @Autowired
    private DataEntityService deService;

    @Resource
    private DEDataChgMapper dedatachgMapper;


    @Override
    public boolean create(DEDataChg et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DEDataChg et){
        this.beforeUpdate(et);
		this.dedatachgMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DEDataChg et){
		return et.getDedatachgid();  
    }

    @Override
    public boolean getDraft(DEDataChg et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DEDataChg> listDefault(DEDataChgSearchFilter filter) {
		return dedatachgMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DEDataChg> searchDefault(DEDataChgSearchFilter filter) {
		return dedatachgMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dedatachgMapper.selectRow(sql);
    }

 }